> ## Name

> tex3Dproj - performs a texture lookup with projection in a given sampler.

> ## Synopsis

>     float4 tex3Dproj(sampler3D samp, float4 s)
>     float4 tex3Dproj(sampler3D samp, float4 s, int texelOff)

>     int4 tex3Dproj(isampler3D samp, float4 s)
>     int4 tex3Dproj(isampler3D samp, float4 s, int texelOff)

>     unsigned int4 tex3Dproj(usampler3D samp, float4 s)
>     unsigned int4 tex3Dproj(usampler3D samp, float4 s, int texelOff)

> ## Parameters

> samp
>   Sampler to lookup.
> s
>   Coordinates to perform the lookup. The value used in the projection should be passed as the last component of the coordinate vector.
> texelOff
>   Offset to be added to obtain the final texel.

> ## Description

> Performs a texture lookup in sampler samp using coordinates s, the coordinates used in the lookup are first projected, that is, divided by the last component of the coordinate vector and then used in the lookup.

> ## Profile Support

> tex3Dproj is supported in all fragment profiles and all vertex profiles starting with vp40, variants with texel offsets are only supported in gp4 and newer profiles.

> ## See Also

> tex3D